### Method

# GLib KeyFile remove_comment

since: 2.6

#### Declaration [src]

    gboolean
    g_key_file_remove_comment (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      GError** error
    )

#### Description [src]

Removes a comment above `key` from `group_name`.

If `key` is `NULL` then `comment` will be removed above `group_name`. If both `key` and `group_name` are `NULL`, then `comment` will be removed above the first group in the file.

Available since: 2.6

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name, or `NULL` to get a top-level comment.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key, or `NULL` to get a group comment.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True if the comment was removed, false otherwise.